## metis-edf 4.1

=== Makefile ===
# WARNING : This file has been modified for Code_Aster
#           http://www.code-aster.org					  

SHELL=/bin/sh
SUBDIRS=Lib Programs
CONFDIR=./CONFIG

default: Makefile.in onmetis.exe pmetis kmetis tests

onmetis.exe: Makefile.in
	for d in $(SUBDIRS); do		\
		(cd $$d && $(MAKE));	 \
	done

pmetis: Makefile.in
	for d in $(SUBDIRS); do		\
		(cd $$d && $(MAKE));	 \
	done

kmetis: Makefile.in
	for d in $(SUBDIRS); do		\
		(cd $$d && $(MAKE));	 \
	done



tests:
	cd Test ; make

clean:
	for d in $(SUBDIRS) Test; do		\
		(cd $$d && $(MAKE) $@); \
	done

distclean:
	for d in $(SUBDIRS) Test; do		\
		(cd $$d && $(MAKE) $@); \
	done
	-$(RM) Makefile.in

#################################################################
# config : define variables depends on platform
#  Linux, IRIX64, SunOS (SOLARIS/SOLARIS64), OSF1 (TRU64)
Makefile.in:
	sh $(CONFDIR)/configure

=== Lib/Makefile ===
include ../Makefile.in

INCLUDES = -I.

CFLAGS = $(COPTIONS) $(INCLUDES)
LD = $(CC) -L. 


OBJS = coarsen.o fm.o initpart.o match.o ccgraph.o memory.o \
       pmetis.o pqueue.o refine.o util.o timing.o debug.o \
       bucketsort.o graph.o stat.o kmetis.o kwayrefine.o \
       kwayfm.o balance.o ometis.o srefine.o sfm.o separator.o \
       mincover.o mmd.o mesh.o meshpart.o frename.o fortran.o \
       myqsort.o compress.o parmetis.o estmem.o \
       mpmetis.o mcoarsen.o mmatch.o minitpart.o mbalance.o \
       mrefine.o mutil.o mfm.o mkmetis.o mkwayrefine.o mkwayfmh.o \
       mrefine2.o minitpart2.o mbalance2.o mfm2.o \
       kvmetis.o kwayvolrefine.o kwayvolfm.o subdomains.o

.c.o:
	$(CC) $(CFLAGS) -c $*.c

../libmetis.a: $(OBJS)
	$(AR) $@ $(OBJS)

clean:
	rm -f *.o

distclean:
	rm -f *.o ; rm -f ../libmetis.a

=== Programs/Makefile ===
include ../Makefile.in

BINDIR = ..

INCLUDES = -I../Lib 
CFLAGS = $(COPTIONS) $(INCLUDES)
FFLAGS = $(FOPTIONS) $(INCLUDES)
LIBS = -lmetis -lm
METISLIB = ../libmetis.a


ONMETISOBJS = onmetis.o io_aster.o smbfactor.o ecri11.o lect11.o lect00.o

PMETISOBJS = pmetis.o io.o 
KMETISOBJS = kmetis.o io.o 


.c.o:
	$(CC) $(CFLAGS) -c $*.c


default: $(BINDIR)/onmetis.exe $(BINDIR)/pmetis $(BINDIR)/kmetis


$(BINDIR)/onmetis.exe: $(ONMETISOBJS) $(METISLIB)
	$(LD) $(LDOPTIONS) -o $@ $(ONMETISOBJS) $(LIBS)
	chmod 755 $@

$(BINDIR)/pmetis: $(PMETISOBJS) $(METISLIB)
	$(LD) $(LDOPTIONS) -o $@ $(PMETISOBJS) $(LIBS)
	chmod 755 $@

$(BINDIR)/kmetis: $(KMETISOBJS) $(METISLIB)
	$(LD) $(LDOPTIONS) -o $@ $(KMETISOBJS) $(LIBS)
	chmod 755 $@


clean:
	rm -f *.o
ecri11.o:ecri11.f
	$(F90) $(FFLAGS)  -c ecri11.f
lect11.o:lect11.f
	$(F90) $(FFLAGS)  -c lect11.f
lect00.o:lect00.f
	$(F90) $(FFLAGS) -c lect00.f
distclean:
	rm -f *.o ;\
        rm -f $(BINDIR)/onmetis.exe ;

=== Test/Makefile ===
include ../Makefile.in

default: fort.85 vers_check

vers_check:
	@echo "### Test 2 : test --version option, onmetis returns :"
	(../onmetis --version ; exit 0)
	@echo " "

fort.85 : fort.81
	@echo "### Test 1 : data file produced by Code_Aster"
	../onmetis fort.81
	@echo " "

clean:
	rm -f fort.81.iperm fort.85
   
distclean:
	rm -f fort.81.iperm fort.85

## metis-edf 4.1-2

=== debian/changelog ===
metis-edf (4.1-2-4) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Drop quilt from Build-Depends
  * debhelper 11
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 11:41:03 +0100

metis-edf (4.1-2-3) unstable; urgency=low

  * Update C. Trophime email address
  * Use of dh instead of cdbs
  * Add .install files
  * Add format-security.patch
  * Add symlinks to $ASTER_ROOT/outils to pmetis and kmetis (closes: #671826)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Sun, 17 Jun 2012 10:47:04 +0200

metis-edf (4.1-2-2) unstable; urgency=low

  * Team upload.
  * FTBFS - missing link at math fixed (Closes: #650180)
  * FTBFS with -Werror=format-security fixed (Closes: #650178)
    Thanks to Leo Iannacone for the two FTBFS fixes.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Nov 2011 22:38:04 +0100

metis-edf (4.1-2-1) unstable; urgency=low

  * Initial release (Closes: #578054)

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Sun, 12 Jun 2011 21:32:58 +0200

=== debian/control ===
Source: metis-edf
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Section: non-free/math
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper (>= 11~),
               gfortran
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/metis-edf.git
Vcs-Git: https://salsa.debian.org/science-team/metis-edf.git
Homepage: http://glaros.dtc.umn.edu/gkhome/metis/metis/overview

Package: metis-edf
Architecture: any
Depends: libmetis-edf4.1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Family of Multilevel Partitioning Algorithms
 METIS: A Family of Multilevel Partitioning Algorithms
 .
 This is a collection of serial and parallel programs & libraries 
 that can be used to partitioning unstructured graphs, finite element meshes, 
 and hypergraphs, both on serial as well as on parallel computers.
 .
 Adaptation of METIS for Code_Aster purpose  

Package: libmetis-edf4.1
Architecture: any
Section: non-free/libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Family of Multilevel Partitioning Algorithms
 METIS: A Family of Multilevel Partitioning Algorithms
 .
 This is a collection of serial and parallel programs & libraries 
 that can be used to partitioning unstructured graphs, finite element meshes, 
 and hypergraphs, both on serial as well as on parallel computers.
 .
 Adaptation of METIS for Code_Aster purpose 
 .
 This package contains the shared library 

Package: libmetis-edf-dev
Architecture: any
Section: non-free/libdevel
Depends: libmetis-edf4.1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Family of Multilevel Partitioning Algorithms
 METIS: A Family of Multilevel Partitioning Algorithms
 .
 This is a collection of serial and parallel programs & libraries 
 that can be used to partitioning unstructured graphs, finite element meshes, 
 and hypergraphs, both on serial as well as on parallel computers.
 .
 Adaptation of METIS for Code_Aster purpose 
 .
 This package contains files needed for development

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

CCFLAGS = $(shell )

override_dh_auto_configure:
	-rm -f Makefile.in
	sh CONFIG/configure

override_dh_auto_build:
	make

	strip [pk]metis
	strip onmetis.exe
	
	ln -sf libmetis-edf.so.4 libmetis-edf.so
		       
override_dh_auto_install:
	strip [pk]metis
	
	# Add links in $ASTER_ROOT/outils
	mkdir -p debian/tmp/usr/bin
	mkdir -p debian/tmp/usr/lib/codeaster/outils
	dh_link usr/bin/kmetis usr/lib/codeaster/outils/kmetis
	dh_link usr/bin/pmetis usr/lib/codeaster/outils/pmetis
	
	dh_auto_install

override_dh_auto_clean:
	touch Makefile.in
	find . -name \*.o | xargs rm -f 
	rm -f libmetis-edf.*
	rm -f onmetis.exe pmetis kmetis
	rm -f Makefile.in
	rm -f .debhelper
